Package net.sf.saxon

## Class TransformerFactoryImpl

- java.lang.Object
- - javax.xml.transform.TransformerFactory
  - - javax.xml.transform.sax.SAXTransformerFactory
    - - net.sf.saxon.jaxp.SaxonTransformerFactory
      - - net.sf.saxon.TransformerFactoryImpl

- All Implemented Interfaces:
    `Configuration.ApiProvider`
  Direct Known Subclasses:
    `BasicTransformerFactory`, `ProfessionalTransformerFactory`

      public class TransformerFactoryImpl
      extends SaxonTransformerFactory

  A TransformerFactory instance can be used to create Transformer and Template objects.

  This implementation of the JAXP TransformerFactory interface provides Saxon-HE, Saxon-PE, or Saxon-EE capability, depending on what software has been loaded from the classpath, and what license key is available.

  An application that explicitly wants Saxon-HE, Saxon-PE, or Saxon-EE capability regardless of what is available at run-time should instantiate `BasicTransformerFactory`, `ProfessionalTransformerFactory`, or `EnterpriseTransformerFactory` as appropriate.

  The system property that determines which Factory implementation to create is named "javax.xml.transform.TransformerFactory". This property names a concrete subclass of the TransformerFactory abstract class. If the property is not defined, a platform default is be used.

  This implementation class implements the abstract methods on both the javax.xml.transform.TransformerFactory and javax.xml.transform.sax.SAXTransformerFactory classes.

  Since Saxon 9.6, the JAXP transformation interface is re-implemented as a layer on top of the s9api interface. This will affect applications that attempt to down-cast from JAXP interfaces to the underlying implementation classes.

  This class is Saxon's "public" implementation of the TransformerFactory interface. It is a trivial subclass of the internal class `SaxonTransformerFactory`, which is in a separate package along with the implementation classes to which it has protected access.

- - ### Field Summary

    - ### Fields inherited from class javax.xml.transform.sax.SAXTransformerFactory

      `FEATURE, FEATURE_XMLFILTER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TransformerFactoryImpl()` |
    `TransformerFactoryImpl​(Configuration config)` |

  - ### Method Summary

    - ### Methods inherited from class net.sf.saxon.jaxp.SaxonTransformerFactory

      `getAssociatedStylesheet, getAttribute, getConfiguration, getErrorListener, getFeature, getProcessor, getURIResolver, newTemplates, newTemplates, newTemplatesHandler, newTransformer, newTransformer, newTransformerHandler, newTransformerHandler, newTransformerHandler, newXMLFilter, newXMLFilter, setAttribute, setConfiguration, setErrorListener, setFeature, setURIResolver`

    - ### Methods inherited from class javax.xml.transform.TransformerFactory

      `newDefaultInstance, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransformerFactoryImpl

          public TransformerFactoryImpl()

    - #### TransformerFactoryImpl

          public TransformerFactoryImpl​(Configuration config)